# Copyright 2004-2009, Didier Bur

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

# Name :          sulinks.rb
# Description :   Set,Get/Edit and opens URL and-or files for any object in SU model
# Author :        Didier Bur
# Usage :         
# Date :          28.Oct.2004
# Type :          Tool
# History:        1.0 (26.Oct.2004) - URL management
#                 1.1 (28.Oct.2004) - File management
#                 2.0. (25.Nov.2009) - Tool, cursors, WebDialogs

require 'sketchup.rb'
Sketchup::require Sketchup.find_support_file("Plugins") + '/Links Manager/fr_linkTools'

if( not file_loaded?("fr_sulinks.rb") )
	
	#Link tools toolbar
	link_tools_tb = UI::Toolbar.new("Liens")
	cmd0 = UI::Command.new(("Lien")) { Sketchup.active_model.select_tool(LinkTool.new()) } 
	cmd0.small_icon = "Links Manager/linkurl_16.png"
	cmd0.large_icon = "Links Manager/linkurl_24.png"
	cmd0.tooltip = "Gestion des liens"
	link_tools_tb.add_item(cmd0)
	
	status=link_tools_tb.get_last_state
	link_tools_tb.show() if status<1

end


#-----------------------------------------------------------------------------
file_loaded("fr_sulinks.rb")
